#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li><a href="${paket?.getContractListUrl()}">&{'daftar_kontrak.label'}</a></li>
                <li class="active">&{'tambah_kontrak.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton /}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="wizard-form-wrapper">
            <div class="padded">
                <div class="panel panel-default">
                    <div class="panel-body">

                        <div class="row">
                            <form id="formCreateKontrak" class="form-horizontal contract-form" action="@{purchasing.PaketKontrakCtr.storeContract(paket?.id)}" enctype="multipart/form-data" method="POST">
                            #{authenticityToken /}

                                <div class="tab-content">

                                    <div class="tab-pane active" id="tab1">

                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'total_harga.label'}</label>
                                            <div class="col-md-4">
                                                <input class="form-control" value="${paket?.getFormattedContractValue()}" disabled/>
                                            </div>
                                        </div>

                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'nilai_kontrak.label'}</label>
                                            <div class="col-md-4">
                                                <input class="form-control contract-value" name="model.contractValue" id="nilai_kontrak"/>
                                            </div>
                                        </div>

                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'nomor_kontrak.label'}</label>
                                            <div class="col-md-4">
                                                <input class="form-control contract-number" name="model.contractNumber"/>
                                            </div>
                                        </div>

                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'tanggal_kontrak.label'}</label>
                                            <div class="col-md-2">
                                                <input class="form-control datepicker contract-date" name="model.contractDate" />
                                            </div>

                                        </div>

                                        *{<div class="form-group required error">}*
                                            *{<label class="col-md-2 control-label">&{'lampiran.label'}</label>}*
                                            *{<div class="col-md-2">}*
                                                *{<input class="form-control contract-attachment" accept=".doc,.docx,.pdf" type="file" name="model.attachment" required/>}*
                                            *{</div>}*
                                        *{</div>}*

                                        <div class="form-group">
                                            <label class="col-md-2 control-label">&{'catatan.label'}</label>
                                            <div class="col-md-4">
                                                <textarea rows="5" class="form-control" name="model.note"></textarea>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-md-20">
                                                <textarea id="mytextarea" name="model.dokumen_kontrak" rows="20" class="form-control">#{printBerita dokumen.template/}</textarea>
                                            </div>
                                        </div>

                                        <ul class="pager wizard">
                                            <li class="next"><a href="#" class="btn btn-md btn-primary save" >&{'save'}</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}

<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var number = document.getElementById('nilai_kontrak');
    number.addEventListener('keyup', function(e){
        number.value = formatNumber(this.value);
    });

    function formatNumber(angka){
        var number_string = angka.replace(/[^,\d]/g, '').toString(),
                split   		= number_string.split(','),
                sisa     		= split[0].length % 3,
                decimal     	= split[0].substr(0, sisa),
                ribuan     		= split[0].substr(sisa).match(/\d{3}/gi);

        if(ribuan){
            separator = sisa ? '.' : '';
            decimal += separator + ribuan.join('.');
        }

        return decimal = split[1] != undefined ? decimal + ',' + split[1] : decimal;
    }

    jQuery(document).ready(function() {
        var ongkir = $('input[name="model.contractValue"]').val().replace(/\./g,'');
        number.value = formatNumber(ongkir);

        jQuery('.save').click(function () {
            var valid = true;
            var contractNumber = jQuery('.contract-number');
            var contractDate = jQuery('.contract-date');
            var contractValue = jQuery('.contract-value');
            var contractAttachment = jQuery('.contract-attachment');
            if (contractNumber.val() === '') {
                valid = false;
                showToast('&{'paket.contract_number_empty'}')
            }

            if (contractDate.val() === '') {
                valid = false;
                showToast('&{'paket.contract_date_empty'}')
            }

            if (contractDate.val().match(/^(\d{2})-(\d{2})-(\d{4})$/) === null) {
                valid = false;
                showToast('&{'paket.contract_date_wrong_format'}')
            }

            if (contractValue.val() === '') {
                valid = false;
                showToast('&{'paket.contract_value_empty'}')
            }
            var contVal = 0;
            contVal = parseFloat(contractValue.val())
            if (isNaN(contVal)) {
                valid = false;
                showToast('&{'paket.contract_value_numeric'}')
            }

            *{//if (contractAttachment.length === 0) {}*
            *{//    valid = false;}*
            *{//    showToast('&{'paket.contract_attachment'}')}*
            *{//}}*

            if (valid) {
                jQuery('.contract-form').submit();
            }
        });

        jQuery('.contract-form').submit(function(){
            var kontrakDocs  = tinymce.get('mytextarea').getContent();
            var kontrakDocsE = htmlEscape(kontrakDocs);
            tinymce.get('mytextarea').setContent(kontrakDocsE);
        });

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    });

    tinymce.init({
        selector: '#mytextarea',
        images_upload_base_path: "@{'/public/files/image'}",
        plugins : 'advlist autolink link image lists charmap print preview code',
        a_plugin_option: true,
        a_configuration_option: 400,
        images_upload_handler: function (blobInfo, success, failure) {
            var xhr, formData;
            xhr = new XMLHttpRequest();
            xhr.withCredentials = false;
            xhr.open('POST', '@{MediaManager.upload()}');

            xhr.onload = function() {
                var json;

                if (xhr.status != 200) {
                    failure('HTTP Error: ' + xhr.status);
                    return;
                }

                json = JSON.parse(xhr.responseText);

                if (!json || typeof json.location != 'string') {
                    failure('Invalid JSON: ' + xhr.responseText);
                    return;
                }

                success(json.location);
            };

            formData = new FormData();
            formData.append('file', blobInfo.blob(), blobInfo.filename());

            xhr.send(formData);
        },
        image_caption: true,
        image_list: "@{MediaManager.listImageGallery()}"


    });
</script>
#{/set}
